#!/bin/bash

cd ..

## set up virtual environment
python3 -m venv venv
source venv/bin/activate
pip install wheel
pip install classla
pip install lxml
pip install obeliks
pip install psycopg2cffi
pip install sqlalchemy
python -c "import classla; classla.download('sl_ssj_jos')" <<< $'Y\nresources/classla'
deactivate

## get needed repositories
git clone git@gitea.cjvt.si:redmine_projects/nova_slovnica.git
git clone git@gitea.cjvt.si:ozbolt/luscenje_struktur.git
git clone git@gitea.cjvt.si:generic/data_admin.git
git clone git@gitea.cjvt.si:generic/xml_schemas.git

## put needed scripts in place 
cd scripts
ln -s ../nova_slovnica/python/scripts/conllu_to_xml.py .
ln -s ../nova_slovnica/python/scripts/assign_single_structures.py .
ln -s ../nova_slovnica/python/scripts/assign_structures.py .
ln -s ../nova_slovnica/python/scripts/create_structures.py .
ln -s ../nova_slovnica/python/scripts/translate_jos.py .
ln -s ../nova_slovnica/python/scripts/tei_to_dictionary.py .
ln -s ../luscenje_struktur/wani.py .
cd ..

## put needed resources in place
cd resources
ln -s ../nova_slovnica/resources/dict.xml .
ln -s ../data_admin/resources/structures.xsd .
ln -s ../xml_schemas/resources/schema/inventory.xsd .
ln -s ../xml_schemas/resources/schema/monolingual_dictionaries.xsd .
cd ..
